///*
// * Copyright 2012 Adaptrex, LLC.
// *
// * Licensed under the Apache License, Version 2.0 (the "License");
// * you may not use this file except in compliance with the License.
// * You may obtain a copy of the License at
// *
// *      http://www.apache.org/licenses/LICENSE-2.0
// *
// * Unless required by applicable law or agreed to in writing, software
// * distributed under the License is distributed on an "AS IS" BASIS,
// * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// * See the License for the specific language governing permissions and
// * limitations under the License.
// */
//package com.adaptrex.core;
//
//import javax.servlet.ServletContextEvent;
//import javax.servlet.ServletContextListener;
//
///**
// * This ServletContextListener bootstraps Adaptrex.  By default this creates an instance 
// * of the Adaptrex service.  It makes the service available as a static field on the Adaptrex 
// * class and also places it in the ServletContext "adaptrex" attribute.
// * <br /><br />
// * To use the defaults, add the following to your application's web.xml:
// * <pre>
// * &lt;listener&gt;
// *    &lt;listener-class&gt;com.adaptrex.core.AdpatrexContextListener&lt;/listener-class&gt;
// * &lt;/listener&gt;
// * </pre>
// * If you would like to bootstrap Adaptrex yourself, you must at least create an Adaptrex
// * instance and initialize it method such as in the following example:
// * <pre>
// * Adaptrex adaptrex = new Adaptrex(event.getServletContext());
// * Adaptrex.init(adaptrex);
// * </pre>
// * You can then register the Adaptrex service instance with your container using whatever
// * mechanism you would like.
// */
//public class AdaptrexContextListener implements ServletContextListener {
//
//	@Override
//	public void contextInitialized(ServletContextEvent event) {
//		Adaptrex.getAdaptrex();
//	}
//
//	@Override
//	public void contextDestroyed(ServletContextEvent sce) {
//		Adaptrex.getAdaptrex().getPersistenceManager().shutdown();
//	}
//}
//
